#ifndef DELAY_H
#define DELAY_H

#include <stdint.h>

/*************************************************************** 
 * delayms
 * This method will delay 1ms.
 * Parameters:
 *  None
 * Return
 *  None
 ***************************************************************/
void delayms();

/*************************************************************** 
 * delay
 * This method will delay for length ms.
 *
 * Parameters:
 *  length (uint16_t) This si the delay in ms for the routine.
 * Return
 *   None
 ***************************************************************/
void delay(uint16_t length);

#endif
