         .global getsp
         .global writesp
         .global save_context
         .global load_context
         .global stackp
getsp:
          LDR      r1, gvar_a
          LDR      r2, [r1, #0]
          ADD      r0, r0, r2
          MRS	   R0, MSP
          STR      r0, [r1, #0]
          MOV      pc, lr
gvar_a    .field   stackp, 32

 
writesp:
          LDR      r1, gvar_a
          LDR      r2, [r1, #0]
 ;         mov	   r13, r2 
          MSR	   MSP, R2
          ISB
          MOV      pc, lr
          
save_context:
 		  MRS R0, MSP
 		  PUSH {R4}
 		  PUSH {R5}
 		  PUSH {R6}
 		  PUSH {R7}
 		  PUSH {R8}
 		  PUSH {R9}
 		  PUSH {R10}
 		  PUSH {R11}
 		  MOV      pc, lr
 		  			
load_context:
		POP {R11}
		POP {R10}
		POP {R9}
		POP {R8}
		POP {R7}
		POP {R6}
		POP {R5}
		POP {R4}
		MOV      pc, lr
          
