/*************************************************************** 
 * Atmega32 SImple OS
 * Walter Schilling, Instructor
 * September, 2011
 *
 * This file contains port definitions for the ATMEGA32 microprocessor.
 ***************************************************************
 */

#ifndef PORTDEF_H
#define PORTDEF_H

#define _TCCR0  (*((volatile uint8_t*)(0x53)))
#define _TCNT0  (*((volatile uint8_t*)(0x52)))
#define _OCR0   (*((volatile uint8_t*)(0x5C)))
#define _TIMSK  (*((volatile uint8_t*)(0x59)))
#define _TIFR   (*((volatile uint8_t*)(0x58)))

#define _OCF0  (0x02)
#define _OCIE  (0x02)
#define _WGM01 (0x03)
#define _CS01  (0x01)
#define _CS00  (0x00)

#define _OCIE0 (0x01)

#define _PORTA (*((volatile uint8_t *)(0x3B)))
#define _DDRA  (*((volatile uint8_t *)(0x3A)))


#define _PORTB (*((volatile uint8_t *)(0x38)))
#define _DDRB  (*((volatile uint8_t *)(0x37)))

#define _SPH (*((volatile uint8_t *)(0x5E)))
#define _SPL (*((volatile uint8_t *)(0x5D)))

#define _SREG (*((volatile uint8_t *)(0x5F)))

#endif
